powertrans(1)

NAME

powertrans - POWER TDF Translator on AIX

SYNOPSIS

powertrans [options] input-fileoutput-file

DESCRIPTION

The code production portion of the TDF compiler is under the control of a TDF translator, which translates a TDF capsule into an assembly source file. There are separate TDF translators for each target architecture. This manual page describes the translator which produces assembly code common to the rs6000 and the POWERPc.

It is recommended that powertrans is not invoked directly, but via the user interface tcc(1tdf). The option -opt can be passed to powertrans by passing the option -Wt,-opt to tcc.

OPTIONS

-Aswitch
    This option determines whether powertrans should inline calls to alloca. This is done by default.

-Bswitch
    This option determines whether powertrans should report floating point constants which exceed their range. This is always done by default. If this option is switched off such constants are replaced by infinity.

-Cswitch
    This option determines whether powertrans should apply the "constants out of loops" optimisation. This optimisation is performed by default.

-E  This option disables powertrans&39;s constant overflow checks.

-Fswitch
    This option determines whether powertrans should apply the "for all" optimisation. This is done by default.

-H  This option causes powertrans to output debugging information in its output file. This will only work if the input TDF capsule contains debugging information.

-Iswitch
    This option determines whether powertrans should apply the "inlining" optimisation. This optimisation is performed by default.

-Kstr
    Causes powertrans to optimise its code for a particular processor model, determined by str. Currently "P" is supported for the POWERPc and "R" for the rs6000.

-Mswitch
    If this option is on, powertrans preserves division by a floating point number rather than replacing it by multiplication by the reciprocal of the number. While the latter produces faster code, it may lead to rounding errors. By default, division by constants is preserved.

-O  To be documented.

-P  This option causes powertrans to output profiling information suitable for use with prof(1) or a similar tool (see individual manual pages for details). This option is currently not supported on the Solaris platform.

-Q  This option causes powertrans to quit before processing its input files. This is particularly useful in conjunction with -V.

-Rswitch
    This option determines whether powertrans should immediately round every floating point operation to its appropriate range. This produces slower code, but is necessary for strict IEEE conformance. The default is not to round after every operation.

-Uswitch
    This option determines whether powertrans should apply the "loop unrolling" optimisation. This optimisation is performed by default.

-V  This option causes powertrans to print its version number and the version of the TDF specification it supports.

-Wswitch
    This option determines whether powertrans should make string literals writable. At present the C producer does not make use of this facility, so strings are writable.

-X  This option disables all optimisations. All powertrans&39;s optimisations are believed to be valid, so that any error in optimisation is a genuine bug.

-Z  This option causes powertrans to print the version number of all the TDF capsules it decodes.

-c  To be documented.

SEE ALSO

as(1), prof(1), tcc(1).